### Hierarchy

- Controller

## Index

### Properties

- attributes
- disabled
- feature
- ngeoEventHelper_
- properties
- scope_
- updating_

### Methods

- $onDestroy
- $onInit
- handleFeaturePropertyChange_
- handleInputChange
- sanitize_

## Properties

### attributes

attributes: Attribute[]

- Defined in src/editing/attributesComponent.js:122

The list of attributes to create the form with.

### disabled

disabled: boolean

- Defined in src/editing/attributesComponent.js:129

Whether the fieldset should be disabled or not.

### feature

feature: Feature<Geometry>

- Defined in src/editing/attributesComponent.js:136

The feature containing the values.

### ngeoEventHelper_

ngeoEventHelper_: EventHelper

- Defined in src/editing/attributesComponent.js:154

### properties

properties: Object

- Defined in src/editing/attributesComponent.js:144

The properties bound to the form, initialized with the inner properties of the feature.

### scope_

scope_: IScope

- Defined in src/editing/attributesComponent.js:149

### updating_

updating_: boolean

- Defined in src/editing/attributesComponent.js:166

While changes happen from the form (from the template), they are applied to the feature inner properties. The 'propertychange' event registered above does the opposite, i.e. it listens to the feature inner properties changes and apply them to the form. To prevent circular issues, while applying changes coming from the form, this flag is set. While set, changes from the feature inner properties are ignored.

## Methods

### $onDestroy

- $onDestroy(): void

- - Defined in src/editing/attributesComponent.js:235

  Cleanup event listeners.

  #### Returns void

### $onInit

- $onInit(): void

- - Defined in src/editing/attributesComponent.js:172

  Initialise the component.

  #### Returns void

### handleFeaturePropertyChange_

- handleFeaturePropertyChange_(evt: BaseEvent | Event): void

- - Defined in src/editing/attributesComponent.js:243

  #### Parameters

  - ##### evt: BaseEvent | Event

    Event.

  #### Returns void

### handleInputChange

- handleInputChange(name: string): void

- - Defined in src/editing/attributesComponent.js:197

  Called when an input node value changes

  #### Parameters

  - ##### name: string

    Attribute name

  #### Returns void

### sanitize_

- sanitize_(attribute: Attribute): void

- - Defined in src/editing/attributesComponent.js:216

  Never keep a undefined values, use null. On boolean, replace null by false. On date, datetime and time replace empty string by null.

  #### Parameters

  - ##### attribute: Attribute

  #### Returns void

Generated using TypeDoc